| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::DConfigDlgModel Class Reference

A base class for a model used by DConfigDlgView. More...

Inheritance diagram for Digikam::DConfigDlgModel:

## Public Types
enum | Role { HeaderRole = Qt::UserRole + 1 , WidgetRole }
| Additional roles that DConfigDlgView uses. More...

## Public Member Functions
| DConfigDlgModel (QObject *const parent=nullptr)
| Constructs a page model with the given parent.
| ~DConfigDlgModel () override
| Destroys the page model.

## Protected Member Functions
| DConfigDlgModel (DConfigDlgModelPrivate &dd, QObject *const parent)

## Protected Attributes
DConfigDlgModelPrivate *const | d_ptr

## Detailed Description

This class is an abstract base class which must be used to implement custom models for DConfigDlgView. Additional to the standard Qt::ItemDataRoles it provides the two roles

- HeaderRole
- WidgetRole

which are used to return a header string for a page and a QWidget pointer to the page itself.

## Member Enumeration Documentation

## ◆ Role

enum Digikam::DConfigDlgModel::Role

Enumerator
HeaderRole | A string to be rendered as page header.
WidgetRole | A pointer to the page widget. This is the widget that is shown when the item is selected.